Subject: bug#72229: (setq overriding-terminal-local-map nil) in isearch-done

From: Michael Heerdegen <[email-masked]>
Date: Sun, 21 Jul 2024 16:49:21 +0200

Hello,

exiting isearch always explicitly sets `overriding-terminal-local-map'
to nil.  This will interfere with any other users of
`overriding-terminal-local-map', including any active transient maps.

Wouldn't a less radical means suffice?  If isearch really must _set_,
i.e., completely override that variable, why not restore the original
value?

TIA,

Michael.